@import "libs/shared/assets/src/global-style/color";
@import "libs/shared/assets/src/global-style/variable";


:host {
  width: 100%;
}

.main-init-line {
  display: flex;
  justify-content: space-between;
  padding: 24px 18px;
  &__left {
    display: flex;
    align-items: center;
    &__pointer {
      cursor: pointer;
    }
    &__title {
      margin-left: 12px;
      margin-bottom: 0px;
    }
  }
}

.main-init-line-card {
  margin: 12px 0px 12px 0px;
  border-radius: 16px;

  &__footer {
    margin-top: 16px;
    display: flex;
    justify-content: flex-end;
  }
  &__button-primary {
    border-radius: 8px;
    display: flex;
    align-items: center;
    padding: 10px 16px 10px 16px;
    font-size: 14px;
    min-height: 40px;
    background: $primary-button-color;
    margin-left: 16px;
  }

  &__left {
    padding-left: 15px;
    ::ng-deep {
      .ant-input {
        border-radius: 10px !important;
        min-height: 48px;
      }
    }

    &__select {
      width: 100%;
      ::ng-deep {
        .ant-select-selector {
          border-radius: 10px !important;
          min-height: 48px;
          display: flex;
          align-items: center;
        }
        .ant-select-selection-search-input {
          height: 100% !important;
        }
      }
    }
    &__label {
      font-size: 14px;
      font-weight: bold;
      line-height: 26px;
    }
    &__require {
      color: red;
    }
    .ant-picker {
      width: 100%;
      border-radius: 10px !important;
      min-height: 48px;
    }
  }
  &__center {
    padding-left: 15px;
    .ant-input {
      border-radius: 10px !important;
      min-height: 48px;
    }
    &__label {
      font-size: 14px;
      line-height: 26px;
      font-weight: bold;
    }
  }

  &__right {
    padding-left: 15px;
    .ant-picker {
      width: 100%;
      border-radius: 10px !important;
      min-height: 48px;
    }
    &__label {
      font-size: 14px;
      line-height: 26px;
      font-weight: bold;
    }
    .ant-input {
      border-radius: 10px !important;
      min-height: 48px;
    }
  }
}

.main-init-line-card-row {
  margin-top: 16px;
}

.required {
  color: red;
  text-align: center;
  padding-left: 5px;
  margin-bottom: 0px !important;
}

.title-input {
  display: flex;
  align-items: center;
  &--mul {
    display: flex;
    margin: 16px;
  }
}
.error {
  display: flex;
  align-items: center;
  column-gap: 5px;
  color:$bg-error-red;
  font-size: 12px;
  font-family: avertaL,sans-serif;
  margin-top: 10px;
}
